Package ru.bitel.bgbilling.modules.cerbercrypt.common.bean

# Class Card

java.lang.Object
ru.bitel.bgbilling.modules.cerbercrypt.common.bean.Card

All Implemented Interfaces:
  `Contractable`

    public class Card
    extends java.lang.Object
    implements Contractable

Модель "Карта". Это заведённая карта, сущность БД card_{mid}

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.util.Calendar` | `contractDate` |
  `protected int` | `contractId` |
  `protected int` | `dealerId` |
  `protected long` | `number` |
  `protected java.lang.String` | `pairingModule` |
  `protected java.util.Calendar` | `passDate` |
  `protected java.lang.String` | `password` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Card()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getContractComment()` |
  `java.util.Calendar` | `getContractDate()` |
  `int` | `getContractId()` | Возвращает код договора к которому привязан объект.
  `java.lang.String` | `getContractTitle()` | Возвращает название договора
  `int` | `getDealerId()` |
  `java.lang.String` | `getDealerTitle()` |
  `long` | `getNumber()` |
  `java.lang.String` | `getPairingModule()` |
  `java.util.Calendar` | `getPassDate()` |
  `java.lang.String` | `getPassword()` |
  `void` | `setContractComment​(java.lang.String contractComment)` |
  `void` | `setContractDate​(java.util.Calendar contractDate)` |
  `void` | `setContractId​(int contractId)` | Устанавливает код договора к которому привязан объект.
  `void` | `setContractTitle​(java.lang.String contractTitle)` | Устанавливает название договора
  `void` | `setDealerId​(int dealerId)` |
  `void` | `setDealerTitle​(java.lang.String dealerTitle)` |
  `void` | `setNumber​(long number)` |
  `void` | `setPairingModule​(java.lang.String pairingModule)` |
  `void` | `setPassDate​(java.util.Calendar passDate)` |
  `void` | `setPassword​(java.lang.String password)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### number

    protected long number

  - ### password

    protected java.lang.String password

  - ### dealerId

    protected int dealerId

  - ### passDate

    protected java.util.Calendar passDate

  - ### contractId

    protected int contractId

  - ### contractDate

    protected java.util.Calendar contractDate

  - ### pairingModule

    protected java.lang.String pairingModule

- ## Constructor Details

  - ### Card

    public Card()

- ## Method Details

  - ### getContractDate

    public java.util.Calendar getContractDate()

  - ### setContractDate

    public void setContractDate​(java.util.Calendar contractDate)

  - ### getContractId

    public int getContractId()
    Description copied from interface: `Contractable`
    Возвращает код договора к которому привязан объект.
    Specified by:
      `getContractId` in interface `Contractable`
    Returns:
      код договора

  - ### setContractId

    public void setContractId​(int contractId)
    Description copied from interface: `Contractable`
    Устанавливает код договора к которому привязан объект.
    Specified by:
      `setContractId` in interface `Contractable`
    Parameters:
      `contractId` - код договора

  - ### getDealerId

    public int getDealerId()

  - ### setDealerId

    public void setDealerId​(int dealerId)

  - ### getNumber

    public long getNumber()

  - ### setNumber

    public void setNumber​(long number)

  - ### getPassDate

    public java.util.Calendar getPassDate()

  - ### setPassDate

    public void setPassDate​(java.util.Calendar passDate)

  - ### getPassword

    public java.lang.String getPassword()

  - ### setPassword

    public void setPassword​(java.lang.String password)

  - ### getContractTitle

    public java.lang.String getContractTitle()
    Description copied from interface: `Contractable`
    Возвращает название договора
    Specified by:
      `getContractTitle` in interface `Contractable`
    Returns:
      название договора

  - ### setContractTitle

    public void setContractTitle​(java.lang.String contractTitle)
    Description copied from interface: `Contractable`
    Устанавливает название договора
    Specified by:
      `setContractTitle` in interface `Contractable`
    Parameters:
      `contractTitle` - название договора

  - ### getContractComment

    public java.lang.String getContractComment()

  - ### setContractComment

    public void setContractComment​(java.lang.String contractComment)

  - ### getDealerTitle

    public java.lang.String getDealerTitle()

  - ### setDealerTitle

    public void setDealerTitle​(java.lang.String dealerTitle)

  - ### getPairingModule

    public java.lang.String getPairingModule()

  - ### setPairingModule

    public void setPairingModule​(java.lang.String pairingModule)